Bug 920077 - qt-creator tries to build 3rdparty/botan/botan.cpp on PPC
Summary: qt-creator tries to build 3rdparty/botan/botan.cpp on PPC
Keywords:
Status: CLOSED DUPLICATE of bug 912367
Alias: None
Product: Fedora
Classification: Fedora
Component: qt-creator
Version: 19
Hardware: powerpc
OS: All
high
high
Target Milestone: ---
Assignee: Itamar Reis Peixoto
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-03-11 10:18 UTC by Karsten Hopp
Modified: 2013-05-28 10:52 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-05-28 10:52:40 UTC


Attachments (Terms of Use)

Description Karsten Hopp 2013-03-11 10:18:32 UTC
Description of problem:
It doesn't seem to use that file on x86, but it tries to build that ancient botan version on PPC:
make[3]: Entering directory `/builddir/build/BUILD/qt-creator-2.7.0-rc-src/src/libs/ssh'
g++ -c -pipe -fPIC -ansi -fpermissive -finline-functions -Wno-long-long -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fstack-protector --param=ssp-buffer-size=4 -m32 -O2 -fvisibility=hidden -Wall -W -D_REENTRANT -fPIC -DQSSH_LIBRARY -DIDE_LIBRARY_BASENAME=\"lib\" -DQT_NO_CAST_TO_ASCII -DQT_NO_CAST_FROM_ASCII -DQT_USE_FAST_OPERATOR_PLUS -DQT_USE_FAST_CONCATENATION -DBOTAN_DLL= -DBOTAN_TARGET_OS_HAS_GETTIMEOFDAY -DBOTAN_HAS_ALLOC_MMAP -DBOTAN_HAS_ENTROPY_SRC_DEV_RANDOM -DBOTAN_HAS_ENTROPY_SRC_EGD -DBOTAN_HAS_ENTROPY_SRC_FTW -DBOTAN_HAS_ENTROPY_SRC_UNIX -DBOTAN_HAS_MUTEX_PTHREAD -DBOTAN_HAS_PIPE_UNIXFD_IO -DBOTAN_TARGET_OS_IS_LINUX -DBOTAN_TARGET_OS_HAS_CLOCK_GETTIME -DBOTAN_TARGET_OS_HAS_DLOPEN -DBOTAN_TARGET_OS_HAS_GMTIME_R -DBOTAN_TARGET_OS_HAS_POSIX_MLOCK -DBOTAN_HAS_DYNAMICALLY_LOADED_ENGINE -DBOTAN_HAS_DYNAMIC_LOADER -DBOTAN_BUILD_COMPILER_IS_GCC -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED -I/usr/lib/qt4/mkspecs/linux-g++ -I. -I/usr/include/QtCore -I/usr/include/QtNetwork -I/usr/include/QtGui -I/usr/include -I../../../src -I../../libs -I/builddir/build/BUILD/qt-creator-2.7.0-rc-src/tools -I../../plugins -I../3rdparty -I.moc/release-shared -I.uic -o .obj/release-shared/botan.o ../3rdparty/botan/botan.cpp
../3rdparty/botan/botan.cpp:46220:21: fatal error: cpuid.h: No such file or directory
   #include <cpuid.h>
                     ^
compilation terminated.


Version-Release number of selected component (if applicable):
qt-creator-2.7.0-0.2.rc.fc19

To test this, run
 ppc-koji build --scratch f19 qt-creator-2.7.0-0.2.rc.fc19.src.rpm

Current logs are available at 
http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=981202

Comment 1 Fedora End Of Life 2013-04-03 18:08:58 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 2 Dan Horák 2013-05-28 10:52:40 UTC

*** This bug has been marked as a duplicate of bug 912367 ***


Note You need to log in before you can comment on or make changes to this bug.